REST Auth API: Organisations
Organisation resources represent a company, business or group entity within the platform. A organisation may be associated with Contacts (as an employer).
Organisations are described by a name, email, integration codes and phone numbers. In addition to this basic information, organisations have a number of linked sub-resources that describe other details such as their postal and physical addresses, key contacts, and related parent/child organisations.
This resource supports retrieval of individual organisation instances, collections of organisations (with filters), creating new organisations, and updating existing organisations via HTTP PUT (replacement) and HTTP PATCH (partial update).
This entity also supports CustomFields.
Common tasks
- List organisations (including with filters) (HTTP GET)
- Fetch an organisation by ID (HTTP GET)
- Update an organisation (HTTP PUT / HTTP PATCH)
- Add or update key contacts
- Create a new organisation (HTTP POST)
Merged organisations
Integrators keeping organisations synchronised with an external system should note that some records can be deleted without notice due to merges between two organisation resources.
HTTP GET requests to resources moved due to a merge will return a HTTP 308 Permanent Redirect status with headers referring to the
merged organisation URI and the original OrganisationMergeRequest. To keep the external system consistent, integrators should query both this resource and also the OrganisationMergeRequests resource to identify
merge operations that will have moved tracked organisation records.
Organisation instance resource
Resource URI
/api/2012-02-01/auth/resources/organisations/{OrganisationID}/
Resource properties
| Property | Description |
|---|---|
| OrganisationID | An integer value that uniquely identifies this resource within the platform. This field is read-only. |
| UniqueIdentifier | A UUID value that uniquely identifies this resource. This field is read-only. |
| Name | A string representing the name of this organisation, up to 128 characters long. |
| LegalName | A string representing the legal name of this organisation, up to 128 characters long. |
| A string representing the email of this organisation, up to 128 characters long. | |
| CodePrimary | A string representing an internal (primary) code used to reference this organisation, up to 36 characters long. This property is useful for storing and managing identifier values from external systems. |
| CodeSecondary | A string representing an internal (secondary) code used to reference this organisation, up to 36 characters long. This property is useful for storing and managing identifier values from external systems. |
| PhonePrimary | A string representing the main (primary) contact phone number for this organisation, up to 32 characters long. |
| PhoneSecondary | A string representing an alternate (secondary) contact phone number for this organisation, up to 32 characters long. |
| WebsiteUrl | A string representing the website URL for this organisation, up to 256 characters long. |
| Status | A OrganisationStatus value representing the current state of this organisation, such as active or inactive (archived). |
| CreatedDateTime | A UTC DateTime value indicating when this resource was created. This field is read-only. |
| LastModifiedDateTime | A UTC DateTime value indicating when this resource was last modified. This field is read-only. |
Related resource links
| Link (title) | Description |
|---|---|
| PostalAddress | Reference to an Address resource representing the postal address for this organisation. |
| PhysicalAddress | Reference to an Address resource representing the physical address for this organisation. |
| AccountManager | Reference to a Contact resource representing the individual managing the account for this organisation. |
| KeyContact |
Deprecated - use the KeyContacts collection instead.Reference to the primary Contact resource representing the primary contact within the organisation for managing the account relationship. This is the first contact in the KeyContacts collection, and is often used as the default contact for communications with the organisation.
|
| KeyContacts | Reference to a collection of Contact links representing the key contacts within the organisation for managing the account relationship. See KeyContacts |
| ParentOrganisation | Reference to an Organisation resource representing the parent owner of this organisation. |
| ChildOrganisations | Reference to a collection of Organisation links representing child organisations owned by this organisation. |
| CustomFields | Reference to the CustomFields sub-resource for this organisation. |
| Regions | Reference to a collection of region links associated with this organisation. |
| IntegrationData | Reference to the integration data sub-resource for this organisation. |
HTTP GET
Returns a representation of an Organisation, including the properties and links above.
Optional parameters
| Parameter | Description |
|---|---|
| expand | Expression referencing Link elements to expand when generating the response. See link expansion. |
Response
See HTTP response status codes for a general overview of all possible API status codes. Common response codes for GET operations are listed below.
| Status | Description |
|---|---|
| 200 OK | Resource was successfully retrieved. |
| 308 Permanent Redirect |
Organisation has been merged with another resource. HTTP response will contain two headers:
|
Example 1 - basic retrieval (no link expansion)
GET /api/2012-02-01/auth/resources/organisations/823/
<Organisation> <OrganisationID>823</OrganisationID> <UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier> <Name>Acme Consultants</Name> <LegalName>Acme Consultants Limited</LegalName> <Email>admin@acme.example.org</Email> <CodePrimary>ACMECONSUL04</CodePrimary> <CodeSecondary>74-582-821</CodeSecondary> <PhonePrimary>+64 4 211 2334</PhonePrimary> <PhoneSecondary>+64 4 211 2334 ext 231</PhoneSecondary> <WebsiteUrl>acme.example.org</WebsiteUrl> <Status>Active</Status> <CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime> <LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/postaladdress/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/AccountManager" type="application/xml" title="AccountManager" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/32/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContact" type="application/xml" title="KeyContact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/683/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/keycontacts/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/childorganisations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/integrationdata/"/> </Organisation>
Example 2 - with link expansion
Retrieve an organisation instance with PostalAddress and CustomFields link expansion.
GET /api/2012-02-01/auth/resources/organisations/823/?expand=PostalAddress,CustomFields
<Organisation>
<OrganisationID>823</OrganisationID>
<UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier>
<Name>Acme Consultants</Name>
<LegalName>Acme Consultants Limited</LegalName>
<Email>admin@acme.example.org</Email>
<CodePrimary>ACMECONSUL04</CodePrimary>
<CodeSecondary>74-582-821</CodeSecondary>
<PhonePrimary>+64 4 211 2334</PhonePrimary>
<PhoneSecondary>+64 4 211 2334 ext 231</PhoneSecondary>
<WebsiteUrl>acme.example.org</WebsiteUrl>
<Status>Active</Status>
<CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime>
<LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/?expand=PostalAddress%2CCustomFields"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/">
<CustomFields>
<Field>
<Name>OrganisationSize</Name>
<Value>
<String>1-10</String>
</Value>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/6daf81b6-6609-4021-aae3-060c98f2bab1/"/>
</Field>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/>
</CustomFields>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/postaladdress/">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<SuburbOrRegion>Northcote</SuburbOrRegion>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/postaladdress/"/>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/AccountManager" type="application/xml" title="AccountManager" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/32/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContact" type="application/xml" title="KeyContact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/683/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/keycontacts/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/childorganisations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/integrationdata/"/>
</Organisation>
HTTP PUT
Performs an update of an Organisation by replacing the entire representation with a new copy.
Use HTTP PATCH if you only want to submit updates to specific fields.
The submitted Organisation representation must be complete. Omitted properties will be updated to null, and omitted links
(such as addresses and key contact information) will deleted if they previously existed.
Ensure you always use HTTP PUT with a modified payload from a HTTP GET that includes the changes you need. Don't ever build a HTTP PUT payload from scratch as any extra elements you miss (such as those added in newer API releases your code doesn't handle) will be treated as explicit data deletion requests and may result in unintended data corruption.
Response
See HTTP response status codes for a general overview of all possible API status codes. Common response codes for PUT operations are listed below.
| Status | Description |
|---|---|
| 200 OK | Resource was successfully updated. |
| 400 Bad Request | HTTP request body contains malformed or invalid parameters. |
| 409 Conflict | Resource could not be updated because it contains values that conflict with those on the server. |
Example 1
Simple update of an existing organisation. The operation also includes a new PostalAddress and KeyContact reference for the organisation, overwriting any previous value.
PUT https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/ HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 1769
<Organisation>
<OrganisationID>823</OrganisationID>
<UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier>
<Name>Acme Consultants</Name>
<LegalName>Acme Consultants Limited</LegalName>
<Email>admin@acme.example.org</Email>
<CodePrimary>ACMECONSUL04</CodePrimary>
<CodeSecondary>74-582-821</CodeSecondary>
<PhonePrimary>+64 4 211 2334</PhonePrimary>
<PhoneSecondary>+64 4 211 2334 ext 231</PhoneSecondary>
<WebsiteUrl>acme.example.org</WebsiteUrl>
<Status>Active</Status>
<CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime>
<LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/postaladdress/">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<StreetLine2>PO Box 98442</StreetLine2>
<SuburbOrRegion>Northcote</SuburbOrRegion>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContact" type="application/xml" title="KeyContact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/683/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/keycontacts/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/childorganisations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/integrationdata/"/>
</Organisation>
Example 2
Simple update of an existing organisation. The operation also includes a collection of KeyContact reference for the organisation, overwriting any previous values.
PUT https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/ HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 1124
<Organisation>
<OrganisationID>823</OrganisationID>
<UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier>
<Name>Acme Consultants</Name>
<LegalName>Acme Consultants Limited</LegalName>
<Email>admin@acme.example.org</Email>
<CodePrimary>ACMECONSUL04</CodePrimary>
<CodeSecondary>74-582-821</CodeSecondary>
<PhonePrimary>+64 4 211 2334</PhonePrimary>
<PhoneSecondary>+64 4 211 2334 ext 231</PhoneSecondary>
<WebsiteUrl>acme.example.org</WebsiteUrl>
<Status>Active</Status>
<CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime>
<LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts">
<Contacts>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/12/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/23/"/>
</Contacts>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/childorganisations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/integrationdata/"/>
</Organisation>
Example 3
Update an existing organisation, and clear some existing values. Note the XML representation does not include an Email or WebsiteUrl value, or any Link entities for PostalAddress or KeyContact. Any existing values for these will be deleted as part of the operation.
PUT https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/ HTTP/1.1 Accept: application/xml Accept-Encoding: gzip, deflate Content-Type: application/xml Content-Length: 748 <Organisation> <OrganisationID>823</OrganisationID> <UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier> <Name>Acme Consultants</Name> <LegalName>Acme Consultants Limited</LegalName> <CodePrimary>ACMECONSUL04</CodePrimary> <CodeSecondary>74-582-821</CodeSecondary> <PhonePrimary>+64 4 211 2334</PhonePrimary> <PhoneSecondary>+64 4 211 2334 ext 231</PhoneSecondary> <Status>Active</Status> <CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime> <LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/AccountManager" type="application/xml" title="AccountManager" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/32/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/keycontacts/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/childorganisations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/integrationdata/"/> </Organisation>
HTTP DELETE
Not supported.
HTTP PATCH
Performs a partial update of an Organisation by replacing parts of the record with data from the request. See HTTP PATCH partial updates for a general guide to the diff document format, XPath selectors, and worked examples. Note that PATCH requests will be interpreted according to the RBAC permissions of the identity of the user on behalf of whom a request is being made.
Response
See HTTP response status codes for a general overview of all possible API status codes. Common response codes for PATCH operations are listed below.
| Status | Description |
|---|---|
| 200 OK | Resource was successfully updated. |
| 400 Bad Request | HTTP request body contains malformed or invalid parameters. |
| 409 Conflict | Resource could not be updated because it contains values that conflict with those on the server. |
Example 1 - replacing a single property value
Simple update of the name of an existing organisation. Note the RFC style and nature of the XPath selector used in the sel attribute to target a specific part of the object graph for update.
PATCH https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/8123/ HTTP/1.1 Accept: application/xml Accept-Encoding: gzip, deflate Content-Type: application/xml Content-Length: 101 <diff> <replace sel="Organisation/Name/text()">New company name</replace> </diff>
Example 2 - adding, removing and replacing multiple properties
Perform multiple operations to to add LegalName, Email, and WebsiteUrl to an existing organisation (assumed not to be present),
delete the existing WebsiteUrl, and update the Code with a new value.
PATCH https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/1423/ HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 187
<diff>
<add sel="Organisation">
<LegalName>Clever People Limited</LegalName>
<Email>info@cleverpeople.com</Email>
<WebsiteUrl>www.cleverpeople.com</WebsiteUrl>
</add>
<remove sel="Organisation/WebsiteUrl" />
<replace sel="Organisation/CodePrimary/text()">ORG-3310</replace>
</diff>
Example 3 - updating and replacing custom fields and addresses
Assume we have an existing Organisation record with a PhysicalAddress and an existing custom field called OrganisationSize:
GET /api/2012-02-01/auth/resources/organisations/823/?expand=customfields,physicaladdress
<Organisation>
<OrganisationID>823</OrganisationID>
<UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier>
<Name>Acme Consultants</Name>
...
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/">
<CustomFields>
<Field>
<Name>OrganisationSize</Name>
<Value>
<String>1-10</String>
</Value>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/6daf81b6-6609-4021-aae3-060c98f2bab1/"/>
</Field>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/>
</CustomFields>
</Link>
...
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PhysicalAddress" type="application/xml" title="PhysicalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/physicaladdress/">
<Address>
<StreetLine1>16 Randall St</StreetLine1>
<Country>New Zealand</Country>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/physicaladdress/"/>
</Address>
</Link>
...
</Organisation>
Assume we want to
- Update the existing custom field value
- Add an additional custom field value
- Update the physical address
Submit the following PATCH request to apply the changes (including the ?expand= query parameter):
PATCH https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/?expand=customfields,physicaladdress HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 1024
<diff>
<!-- 1. Update string value for existing field 'OrganisationSize' with ID '6daf81b6-6609-4021-aae3-060c98f2bab1' -->
<replace sel="Organisation/Link[@title='CustomFields']/CustomFields/Field[Name='OrganisationSize']/Value/String">
<String>50-100</String>
</replace>
<!-- 2. Add new custom field 'IndustryCategory' described by FieldDescription with ID '7d925320-3662-49c1-b88e-efa86591a56f' -->
<add sel="Organisation/Link[@title='CustomFields']/CustomFields">
<Field>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/7d925320-3662-49c1-b88e-efa86591a56f/"/>
<Name>IndustryCategory</Name>
<Value>
<String>Retail</String>
</Value>
</Field>
</add>
<!-- 3. Update 'PhysicalAddress' with a new value -->
<remove sel="Organisation/Link[@title='PhysicalAddress']/Address" />
<add sel="Organisation/Link[@title='PhysicalAddress']">
<Address>
<StreetLine1>21 Merchant Drive</StreetLine1>
<SuburbOrRegion>Acmeville</SuburbOrRegion>
<City>Metropolis</City>
<StateOrProvince>RA</StateOrProvince>
<PostCode>M0025651</PostCode>
<Country>New Zealand</Country>
</Address>
</add>
</diff>
NOTE: Because the XPath selectors in the diff document target inline sub-resources, the organisation must first be retrieved using ?expand=customfields,physicaladdress to obtain the expanded CustomFields and PhysicalAddress representations needed to construct the diff.
Organisation collection resource
The Organisation collection resource represents the set of Organisation resources on the platform.
Resource URI
/api/2012-02-01/auth/resources/organisations/
HTTP GET
Returns a representation of the collection as a set of Link elements which can be followed to access individual
Organisation resources, or link expansion can be used via the expand query parameter to inline the entities with the HTTP GET response. See querying collections for general information on handling resource collections.
Optional parameters
| Parameter | Description |
|---|---|
| expand | Expression referencing Link elements to expand when generating the response. See link expansion. |
| filter |
A filter expression to apply to the collection. See collection filters. The following
properties (and link titles) may be used in filter expressions:
|
| orderby |
A sort expression to apply to the collection. See collection sorting. The following
properties may be used in sort expressions:
|
| skip |
Returns a subset of records from the collection, starting at index N+1 specified by this parameter. The skip and top parameters are generally used for collection paging.
|
| top |
Returns a subset of records from the collection, starting at index 0 or index skip, and returns the first N records. The skip and top parameters are generally used for collection paging.
|
Example 1 - no link expansion
Retrieve a collection of Organisation links with the default parameters, and no link expansion.
GET /api/2012-02-01/auth/resources/organisations/?skip=0&top=100
<Organisations> <Link rel="http://schemas.arlo.co/api/2012/02/auth/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/825/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/826/"/> ... <Link rel="next" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/?skip=100"/> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/"/> </Organisations>
Example 2 - with link expansion
Retrieve a collection of Organisation links with the default parameters, with Organisation, Organisation/PostalAddress, and Organisation/CustomFields link expansion.
GET /api/2012-02-01/auth/resources/organisations/?expand=Organisation,Organisation/PostalAddress,Organisation/CustomFields&skip=0&top=100
<Organisations>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/">
<Organisation>
<OrganisationID>823</OrganisationID>
<UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier>
<Name>Acme Consultants</Name>
<LegalName>Acme Consultants Limited</LegalName>
<Email>admin@acme.example.org</Email>
<CodePrimary>ACMECONSUL04</CodePrimary>
<CodeSecondary>74-582-821</CodeSecondary>
<PhonePrimary>+64 4 211 2334</PhonePrimary>
<PhoneSecondary>+64 4 211 2334 ext 231</PhoneSecondary>
<WebsiteUrl>acme.example.org</WebsiteUrl>
<Status>Active</Status>
<CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime>
<LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/">
<CustomFields>
<Field>
<Name>OrganisationSize</Name>
<Value>
<String>1-10</String>
</Value>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/6daf81b6-6609-4021-aae3-060c98f2bab1/"/>
</Field>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/>
</CustomFields>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/postaladdress/">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<SuburbOrRegion>Northcote</SuburbOrRegion>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/postaladdress/"/>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/AccountManager" type="application/xml" title="AccountManager" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/32/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContact" type="application/xml" title="KeyContact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/683/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/keycontacts/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/childorganisations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/integrationdata/"/>
</Organisation>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/">
<Organisation>
<OrganisationID>824</OrganisationID>
<UniqueIdentifier>b2c3d4e5-f6a7-8901-bcde-f12345678901</UniqueIdentifier>
<Name>Acme Engineering</Name>
<LegalName>Acme Engineering Limited</LegalName>
<Email>engineering@acme.example.org</Email>
<CodePrimary>ACMEENGIN23</CodePrimary>
<CodeSecondary>23-622-881</CodeSecondary>
<PhonePrimary>+64 4 211 2314</PhonePrimary>
<PhoneSecondary>+64 4 211 2314 ext 101</PhoneSecondary>
<WebsiteUrl>acme.example.org</WebsiteUrl>
<Status>Active</Status>
<CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime>
<LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/customfields/">
<CustomFields>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/customfields/"/>
</CustomFields>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/postaladdress/">
<Address>
<StreetLine1>42 Industrial Park Road</StreetLine1>
<City>Metropolis</City>
<PostCode>9334</PostCode>
<Country>New Zealand</Country>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/postaladdress/"/>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/AccountManager" type="application/xml" title="AccountManager" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/32/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContact" type="application/xml" title="KeyContact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/683/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/keycontacts/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/childorganisations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/824/integrationdata/"/>
</Organisation>
</Link>
...
<Link rel="next" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/?expand=Organisation%2COrganisation%2FPostalAddress%2COrganisation%2FCustomFields&skip=100"/>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/?expand=Organisation%2COrganisation%2FPostalAddress%2COrganisation%2FCustomFields"/>
</Organisations>
Example 3 - with filter and link expansion
Retrieve organisations created or modified in the last 24 hours, with Organisation link expansion. The filter targets records where either CreatedDateTime or LastModifiedDateTime is after a given UTC datetime.
Avoid polling this endpoint on a regular basis with a date filter in production scenarios. For synchronisation/integration with external systems, use Webhooks instead so that you can receive notifications only when records are created or updated, following our guidelines for keeping an external system in sync.
GET /api/2012-02-01/auth/resources/organisations/?expand=Organisation&filter=(CreatedDateTime gt datetime('2026-03-24T18:09:31.381Z')) or (LastModifiedDateTime gt datetime('2026-03-24T18:09:31.381Z'))&skip=0&top=100
<Organisations>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/Organisation" type="application/xml" title="Organisation" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/827/">
<Organisation>
<OrganisationID>827</OrganisationID>
<UniqueIdentifier>c3d4e5f6-a7b8-9012-cdef-123456789012</UniqueIdentifier>
<Name>Acme Logistics</Name>
<LegalName>Acme Logistics Limited</LegalName>
<Email>logistics@acme.example.org</Email>
<Status>Active</Status>
<CreatedDateTime>2026-03-25T09:14:22.381Z</CreatedDateTime>
<LastModifiedDateTime>2026-03-25T09:14:22.381Z</LastModifiedDateTime>
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/827/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/827/customfields/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/827/keycontacts/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/827/childorganisations/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/827/regions/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/827/integrationdata/"/>
</Organisation>
</Link>
...
<Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/?expand=Organisation&filter=%28CreatedDateTime%20gt%20datetime%28%272026-03-24T18%3A09%3A31.381Z%27%29%29%20or%20%28LastModifiedDateTime%20gt%20datetime%28%272026-03-24T18%3A09%3A31.381Z%27%29%29&skip=0&top=100"/>
</Organisations>
HTTP POST
Creates a new Organisation in the collection.
Required request elements
| Parameter | Description |
|---|---|
| Name | A string representing the name of this organisation, up to 128 characters long. |
Optional request elements
| Parameter | Description |
|---|---|
| LegalName | A string representing the legal name of this organisation, up to 128 characters long. |
| A string representing the email of this organisation, up to 128 characters long. | |
| CodePrimary | A string representing an internal (primary) code used to reference this organisation, up to 36 characters long. |
| CodeSecondary | A string representing an internal (secondary) code used to reference this organisation, up to 36 characters long. |
| PhonePrimary | A string representing the main (primary) contact phone number for this organisation, up to 32 characters long. |
| PhoneSecondary | A string representing an alternate (secondary) contact phone number for this organisation, up to 32 characters long. |
| WebsiteUrl | A string representing the website URL for this organisation, up to 256 characters long. |
| Status | A OrganisationStatus value representing the current state of this organisation. |
Optional request resource links
| Link (title) | Description |
|---|---|
| PostalAddress | Inline Address representation for the postal address of the new organisation. |
| PhysicalAddress | Inline Address representation for the physical address of the new organisation. |
| AccountManager | Reference to a Contact resource representing the individual managing the account for this organisation. |
| KeyContact |
Deprecated - use the KeyContacts collection instead.Reference to a Contact resource representing the primary key contact for the organisation. Must match an existing Contact.
|
| KeyContacts |
A collection of Contact references representing the key contacts for the organisation. Each must match an existing Contact. When used together with KeyContact, the KeyContact must match the first entry in the collection.
|
| ParentOrganisation | Reference to an Organisation resource representing the parent owner of this organisation. |
| CustomFields | Inline CustomFields representation for setting initial custom field values for the new organisation. |
Unsupported request elements
The request may not include these read-only elements (managed by Arlo):
OrganisationIDUniqueIdentifierCreatedDateTimeLastModifiedDateTime
Response
See HTTP response status codes for a general overview of all possible API status codes. Common response codes for POST operations are listed below.
| Status | Description |
|---|---|
| 201 Created | Resource was successfully created. The body of the response will contain the new resource. |
| 400 Bad Request | HTTP request body contains malformed or invalid parameters. |
| 409 Conflict | Resource could not be created because it contains values that conflict with those on the server. |
Example 1
Create a new organisation with only the required Name field.
POST https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/ HTTP/1.1 Accept: application/xml Accept-Encoding: gzip, deflate Content-Type: application/xml Content-Length: 62 <Organisation> <Name>Acme Consultants</Name> </Organisation>
HTTP/1.1 201 Created Content-Length: 546 Content-Type: application/xml; charset=utf-8 <Organisation> <OrganisationID>823</OrganisationID> <UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier> <Name>Acme Consultants</Name> <CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime> <LastModifiedDateTime>2009-11-23T02:49:59.493Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/keycontacts/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/childorganisations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/integrationdata/"/> </Organisation>
Example 2
Create a new organisation with simple details, including inline PostalAddress, PhysicalAddress, two KeyContacts references, and an inline CustomFields value.
POST https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/ HTTP/1.1
Accept: application/xml
Accept-Encoding: gzip, deflate
Content-Type: application/xml
Content-Length: 1769
<Organisation>
<Name>Acme Consultants</Name>
<LegalName>Acme Consultants Limited</LegalName>
<Email>admin@acme.example.org</Email>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<StreetLine2>PO Box 98442</StreetLine2>
<SuburbOrRegion>Northcote</SuburbOrRegion>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PhysicalAddress" type="application/xml" title="PhysicalAddress">
<Address>
<StreetLine1>98 Wallacetown Quay</StreetLine1>
<SuburbOrRegion>Northcote</SuburbOrRegion>
<City>Metropolis</City>
<PostCode>9332</PostCode>
<Country>New Zealand</Country>
</Address>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts">
<Contacts>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/683/"/>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Contact" type="application/xml" title="Contact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/684/"/>
</Contacts>
</Link>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields">
<CustomFields>
<Field>
<Link rel="http://schemas.arlo.co/api/2012/02/auth/related/FieldDescription" type="application/xml" title="FieldDescription" href="https://demo.arlo.co/api/2012-02-01/auth/resources/fielddescriptions/7d925320-3662-49c1-b88e-efa86591a56f/"/>
<Name>IndustryCategory</Name>
<Value>
<String>Retail</String>
</Value>
</Field>
</CustomFields>
</Link>
</Organisation>
HTTP/1.1 201 Created Content-Length: 2042 Content-Type: application/xml; charset=utf-8 <Organisation> <OrganisationID>823</OrganisationID> <UniqueIdentifier>a1b2c3d4-e5f6-7890-abcd-ef1234567890</UniqueIdentifier> <Name>Acme Consultants</Name> <LegalName>Acme Consultants Limited</LegalName> <Email>admin@acme.example.org</Email> <CreatedDateTime>2009-11-23T02:49:59.493Z</CreatedDateTime> <LastModifiedDateTime>2009-11-25T02:11:32.174Z</LastModifiedDateTime> <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CustomFields" type="application/xml" title="CustomFields" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/customfields/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PostalAddress" type="application/xml" title="PostalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/postaladdress/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/PhysicalAddress" type="application/xml" title="PhysicalAddress" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/physicaladdress/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContact" type="application/xml" title="KeyContact" href="https://demo.arlo.co/api/2012-02-01/auth/resources/contacts/683/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/KeyContacts" type="application/xml" title="KeyContacts" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/keycontacts/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/ChildOrganisations" type="application/xml" title="ChildOrganisations" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/childorganisations/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/Regions" type="application/xml" title="Regions" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/regions/"/> <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/IntegrationData" type="application/xml" title="IntegrationData" href="https://demo.arlo.co/api/2012-02-01/auth/resources/organisations/823/integrationdata/"/> </Organisation>
